/*MODIFY VALUES IN BUILDALL.SAS TO POINT TO FILE.  NO EDITS NECESSARY TO THIS FILE*/

options mprint;

data WORK.RESPONSES    ;
   %let _EFIERR_ = 0; /* set the ERROR detection macro variable */
   infile "&responsesfile." delimiter = ',' MISSOVER  DSD lrecl=32727 firstobs=2 ;
        informat RecallRecID $36.;
        informat UserName $20. ;
         informat UserID $36. ;
         informat RecordNo best32. ;
         informat RecordDayNo best32. ;
         informat RecordDayStatus best32. ;
         informat IntakeStartDateTime mdyampm25.2 ;
         informat IntakeEndDateTime mdyampm25.2 ;
/*         informat RecordDay best32.;*/                * delete 10/30/2018;
         informat ReportingDate mmddyy10. ;
      informat Lang best32. ;
      informat AmtUsual best32. ;
      informat Occ_No best32. ;
      informat Occ_Time mdyampm25.2 ;
      informat Occ_Name best32. ;
      informat EatWith best32. ;
      informat WatchTVuseComputer best32. ;
      informat Location best32. ;
      informat FoodNum best32. ;
      informat FoodType best32. ;
      informat FoodSrce $28. ;
      informat ComboNum best32. ;
      informat LineNum best32. ;
      informat Variable $35. ;
      informat Response $35. ;
      informat ResponseOs $18. ;                      
      informat SpinDial1 best32. ;
      informat SpinDial2 best32. ;
      informat IsRecipe  best32. ;                 

      format RecallRecID $36.;
       format UserName $20. ;
        format UserID $36. ;
        format RecordNo best12. ;
        format RecordDayNo best12. ;
        format RecordDayStatus best12. ;
        format IntakeStartDateTime datetime. ;
        format IntakeEndDateTime datetime. ;
/*        format RecordDay best12.;*/
        format ReportingDate mmddyy10. ;
        format Lang best12. ;
      format AmtUsual best12. ;
      format Occ_No best12. ;
      format Occ_Time datetime. ;
      format Occ_Name best12. ;
      format EatWith best12. ;
      format WatchTVuseComputer best12. ;
      format Location best12. ;
      format FoodNum best12. ;
      format FoodType best12. ;
      format FoodSrce $28. ;
      format ComboNum best12. ;
      format LineNum best12. ;
      format Variable $35. ;
      format Response $35. ;
      format ResponseOs $18. ;       
      format SpinDial1 best12. ;
      format SpinDial2 best12. ;
      format IsRecipe  best12. ;    
   input
                 RecallRecID $
                 UserName $
                  UserID $
                  RecordNo
                  RecordDayNo
                  RecordDayStatus
                  IntakeStartDateTime
                  IntakeEndDateTime
/*                  RecordDay*/
                  ReportingDate
                 Lang
               AmtUsual
               Occ_No
               Occ_Time
               Occ_Name
               EatWith
               WatchTVuseComputer
               Location
               FoodNum
               FoodType
               FoodSrce $
               ComboNum
               LineNum
               Variable $
               Response $
               ResponseOs $
               SpinDial1
               SpinDial2
               IsRecipe
   ;
   if _ERROR_ then call symputx('_EFIERR_',1);  /* set ERROR detection macro variable */
   run;





